##
##  bash.spec -- OpenPKG RPM Specification
##  Copyright (c) 2000-2003 Cable & Wireless Deutschland GmbH
##  Copyright (c) 2000-2003 The OpenPKG Project <http://www.openpkg.org/>
##  Copyright (c) 2000-2003 Ralf S. Engelschall <rse@engelschall.com>
##
##  Permission to use, copy, modify, and distribute this software for
##  any purpose with or without fee is hereby granted, provided that
##  the above copyright notice and this permission notice appear in all
##  copies.
##
##  THIS SOFTWARE IS PROVIDED ``AS IS'' AND ANY EXPRESSED OR IMPLIED
##  WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
##  MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED.
##  IN NO EVENT SHALL THE AUTHORS AND COPYRIGHT HOLDERS AND THEIR
##  CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
##  SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT
##  LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF
##  USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND
##  ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY,
##  OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT
##  OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF
##  SUCH DAMAGE.
##

#   package version
%define       V_real 2.05b
%define       V_comp 205b

#   package information
Name:         bash
Summary:      Bourne-Again Shell
URL:          http://cnswww.cns.cwru.edu/~chet/bash/bashtop.html
Vendor:       Free Software Foundation
Packager:     The OpenPKG Project
Distribution: OpenPKG [CORE]
Group:        Shell
License:      GPL
Version:      %{V_real}
Release:      20021127

#   list of sources
Source0:      ftp://ftp.cwru.edu/pub/bash/bash-%{V_real}.tar.gz
Source1:      profile
Patch0:       ftp://ftp.cwru.edu/pub/bash/bash-%{V_real}-patches/bash%{V_comp}-001
Patch1:       ftp://ftp.cwru.edu/pub/bash/bash-%{V_real}-patches/bash%{V_comp}-002
Patch2:       ftp://ftp.cwru.edu/pub/bash/bash-%{V_real}-patches/bash%{V_comp}-003
Patch3:       ftp://ftp.cwru.edu/pub/bash/bash-%{V_real}-patches/bash%{V_comp}-004

#   build information
Prefix:       %{l_prefix}
BuildRoot:    %{l_buildroot}
BuildPreReq:  OpenPKG, openpkg >= 20020416
PreReq:       OpenPKG, openpkg >= 20020416
AutoReq:      no
AutoReqProv:  no

%description
    Bash (Bourne-Again Shell) is an sh-compatible command language interpreter
    that executes commands read from the standard input or from a file. Bash
    also incorporates useful features from the Korn and C shells (ksh and csh).
    Bash is intended to be a conformant implementation of the IEEE POSIX Shell
    and Tools specification (IEEE Working Group 1003.2).

%prep
    %setup -q
    %patch0 -p0
    %patch1 -p0
    %patch2 -p0
    %patch3 -p0

%build
    ( #   force disabled wide-character support
      echo "ac_cv_header_wchar_h=no"
      echo "ac_cv_header_wctype_h=no"
      echo "ac_cv_func_mbsrtowcs=no"
      #   force disabled internationalization support
      echo "ac_cv_header_libintl_h=no"
      echo "ac_cv_func_gettext=no"
      echo "ac_cv_func_textdomain=no"
      echo "ac_cv_func_bindtextdomain=no"
      echo "ac_cv_lib_intl_bindtextdomain=no"
    ) >config.cache
    CC="%{l_cc}" \
    CFLAGS="%{l_cflags -O}" \
    ./configure \
        --cache-file=./config.cache \
        --prefix=%{l_prefix} \
        --without-gnu-malloc \
        --without-curses
    %{l_shtool} subst \
        -e 's;^\(#define.*SYS_PROFILE["^]*\).*;\1 "%{l_prefix}/etc/bash/profile";' \
        pathnames.h
    %{l_shtool} subst \
        -e 's;/etc/profile;%{l_prefix}/etc/bash/profile;' \
        doc/bash.1
    %{l_make} %{l_mflags}

%install
    rm -rf $RPM_BUILD_ROOT
    %{l_make} %{l_mflags} install prefix=$RPM_BUILD_ROOT%{l_prefix}
    rm -f $RPM_BUILD_ROOT%{l_prefix}/info/dir
    rm -f $RPM_BUILD_ROOT%{l_prefix}/man/man1/bashbug.1
    rm -f $RPM_BUILD_ROOT%{l_prefix}/bin/bashbug
    strip $RPM_BUILD_ROOT%{l_prefix}/bin/bash
    %{l_shtool} mkdir -f -p -m 755 $RPM_BUILD_ROOT%{l_prefix}/etc/bash
    %{l_shtool} install -c -m 644 -e 's;@l_prefix@;%{l_prefix};g' \
        %{SOURCE profile} $RPM_BUILD_ROOT%{l_prefix}/etc/bash/
    %{l_rpmtool} files -v -ofiles -r$RPM_BUILD_ROOT \
        %{l_files_std} \
        '%config %{l_prefix}/etc/bash/profile'

%files -f files

%clean
    rm -rf $RPM_BUILD_ROOT

%post
    if [ ".$1" = .1 ]; then
        if [ -f /etc/shells ]; then
            if [ ".`grep $RPM_INSTALL_PREFIX/bin/bash /etc/shells`" = . ]; then
                ( echo "Hint: To use $RPM_INSTALL_PREFIX/bin/bash as the login"
                  echo "shell for users, please add this path to /etc/shells."
                ) | %{l_rpmtool} msg -b -t notice
            fi
        fi
    fi

